package com.jsfwpraktyce.kalkulator.kontroler;

import com.jsfwpraktyce.kalkulator.model.Kalkulator;

/**Przyklad z rozdzialu 1.
 *
 */
public class KalkulatorBB {
	/** Reprezentuje obiekt modelu. */
	private Kalkulator kalkulator = new Kalkulator();

	/** Temperatura do przeliczenia. */
	private double tempFahrenheit = 0.0;

	/** Wynik. */
	private double rezultat = 0.0;

	/**
	 * Konstruktor bezargumentowy
	 */
	public KalkulatorBB() {
		super();
	}

	/*----Metody dostępowe --------------*/

	public Kalkulator getKalkulator() {
		return kalkulator;
	}

	public void setKalkulator(Kalkulator kalkulator) {
		this.kalkulator = kalkulator;
	}

	public double getTempFahrenheit() {
		return tempFahrenheit;
	}

	public void setTempFahrenheit(double tempFahrenheit) {
		this.tempFahrenheit = tempFahrenheit;
	}

	public double getRezultat() {
		return rezultat;
	}

	public void setRezultat(double rezultat) {
		this.rezultat = rezultat;
	}

	/**
	 * Wywołuje metodę biznesową
	 * 
	 * @return łańcuch znakowy pozwalający zdefiniować nawigację
	 */
	public String przelicz() {

		rezultat = kalkulator.przelicz(tempFahrenheit);

		return "sukces";
	}

}
